<?php
namespace SabaiApps\Directories\Component\Display\Statistic;

use SabaiApps\Directories\Component\Entity\Model\Bundle;
use SabaiApps\Directories\Component\Entity\Type\IEntity;

interface IStatistic {

	public function displayStatisticInfo( Bundle $bundle, $key = null );
	public function displayStatisticSettingsForm( Bundle $bundle, array $settings, array $parents = array(), $type = 'icon' );
	public function displayStatisticRender( Bundle $bundle, IEntity $entity, array $settings );
	public function displayStatisticIsPreRenderable( Bundle $bundle, array $settings );
	public function displayStatisticPreRender( Bundle $bundle, array $settings, array $entities = array() );
}
